import { Command } from 'clipanion';

import { container, T_PG } from '#/di';
import { runMigrations } from '#/services/pg/migrations';

// di
import "#/services/pg"


export const WynnCommands = [
  class extends Command {
    static paths = [['wynn', 'refetch']];

    async execute() {
      const pg = container.get(T_PG);
      await runMigrations(pg);
      await pg.end()
    }
  }
]
