import {ApplicationCommandOptionTypes, ApplicationCommandTypes, CreateApplicationCommand } from "discordeno";



export const GuildCommands: CreateApplicationCommand = {
  name: "guild",
  description: "guild commands",
  type: ApplicationCommandTypes.ChatInput,
  options: [
    {
      name: "leaderboard",
      description: "view the current leaderboard",
      type: ApplicationCommandOptionTypes.SubCommand,
    },
    {
      name: "info",
      description: "view guild information",
      type: ApplicationCommandOptionTypes.SubCommand,
    },
    {
      name: "online",
      description: "show online players",
      type: ApplicationCommandOptionTypes.SubCommand,
    },
  ],
}
