import {bot} from "#/bot"

export type BotEventsType = typeof bot.events
export type InteractionHandler = NonNullable<typeof bot.events.interactionCreate>
export type InteractionType = Parameters<InteractionHandler>[0]

export type MuxHandler<T> = (interaction: InteractionType, params?: T) => Promise<any>

export interface SlashHandler {
  [key: string]: MuxHandler<any> | SlashHandler
}
