import axios, { Axios, AxiosInstance } from "axios";



export class WApi {

  c: AxiosInstance

  constructor(endpoint: string = `https://api.wynncraft.com/`) {
    this.c = axios.create({
        baseURL: endpoint,
    })
  }

  async get(path:string, params?: any) {
    return this.c.get(path, {
      params,
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
      }
    })
  }


}
