
import { proxyActivities } from '@temporalio/workflow';
import type * as activities from '#/activities';

const { update_guild, update_all_guilds } = proxyActivities<typeof activities>({
  startToCloseTimeout: '1 minute',
});

export const workflowSyncAllGuilds = async() => {
  await update_all_guilds()
}

export const workflowSyncGuilds = async() => {
  // TODO side effect
  const guildNames = [
    'less than three',
  ]
  for(const guildName of guildNames) {
    // update the guild
    await update_guild({
      guild_name: guildName,
    })
  }
}
