
import { proxyActivities } from '@temporalio/workflow';
import type * as activities from '#/activities';

const { scrape_online_players } = proxyActivities<typeof activities>({
  startToCloseTimeout: '1 minute',
  retry: {
    maximumAttempts: 1,
  }
});

export const workflowSyncOnline = async() => {
  await scrape_online_players();
}
